Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXTree.TreeAdapter

    java.lang.Object
      org.jdesktop.swingx.decorator.ComponentAdapter
          org.jdesktop.swingx.JXTree.TreeAdapter

Enclosing class:
  JXTree

    protected static class JXTree.TreeAdapter

extends ComponentAdapter

Field Summary

Fields inherited from class org.jdesktop.swingx.decorator.ComponentAdapter
`column, DEFAULT_COLUMN_IDENTIFIER, row, target`

Constructor Summary
`JXTree.TreeAdapter(JXTree component)` Constructs a `TableCellRenderContext` for the specified target component.

Method Summary
`java.awt.Rectangle` | `getCellBounds()` Returns the bounds of the cell identified by this adapter.
`int` | `getDepth()` Returns the depth of this row in the hierarchy where the root is 0.
`java.lang.String` | `getStringAt(int row, int column)` Returns the String representation of the value of the cell identified by the row specified row and column in model coordinates.
`JXTree` | `getTree()`
`java.lang.Object` | `getValueAt(int row, int column)` Returns the value of the target component's cell identified by the specified row and column in model coordinates.
`boolean` | `hasFocus()` Returns true if the cell identified by this adapter currently has focus.
`boolean` | `isCellEditable(int row, int column)` Determines whether this cell is editable.
`boolean` | `isEditable()` Returns `true` if the cell identified by this adapter is editable, `false` otherwise.
`boolean` | `isExpanded()` Returns true if the cell identified by this adapter is currently expanded.
`boolean` | `isHierarchical()` Returns true if the cell identified by this adapter displays the hierarchical node.
`boolean` | `isLeaf()` Returns true if the cell identified by this adapter is a leaf node.
`boolean` | `isSelected()` Returns true if the cell identified by this adapter is currently selected.

Methods inherited from class org.jdesktop.swingx.decorator.ComponentAdapter
`convertColumnIndexToModel, convertColumnIndexToView, convertRowIndexToModel, convertRowIndexToView, getColumnCount, getColumnIdentifierAt, getColumnIndex, getColumnName, getComponent, getFilteredStringAt, getFilteredValueAt, getRowCount, getString, getString, getValue, getValue, isTestable, refresh`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXTree.TreeAdapter

    public JXTree.TreeAdapter(JXTree component)

  Constructs a `TableCellRenderContext` for the specified target component.

  Parameters:
    `component` - the target component

Method Detail

### getTree

    public JXTree getTree()

### hasFocus

    public boolean hasFocus()

  Returns true if the cell identified by this adapter currently has focus. Otherwise, it returns false.

  Specified by:
    `hasFocus` in class `ComponentAdapter`
  Returns:
    true if the cell identified by this adapter currently has focus; Otherwise, return false

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int column)

  Returns the value of the target component's cell identified by the specified row and column in model coordinates.

  Specified by:
    `getValueAt` in class `ComponentAdapter`
  Parameters:
    `row` - in model coordinates
    `column` - in model coordinates
  Returns:
    the value of the target component's cell identified by the specified row and column

### getStringAt

    public java.lang.String getStringAt(int row,
                                        int column)

  Returns the String representation of the value of the cell identified by the row specified row and column in model coordinates.

  This implementation messages the StringValue.TO_STRING with the valueAt, subclasses should re-implement and use the api appropriate for the target component type.

  Overrides:
    `getStringAt` in class `ComponentAdapter`
  Parameters:
    `row` - in model coordinates
    `column` - in model coordinates
  Returns:
    the value of the target component's cell identified by the specified row and column

### getCellBounds

    public java.awt.Rectangle getCellBounds()

  Returns the bounds of the cell identified by this adapter.

  Overrides:
    `getCellBounds` in class `ComponentAdapter`
  Returns:
    the bounds of the cell identified by this adapter

### isEditable

    public boolean isEditable()

  Returns `true` if the cell identified by this adapter is editable, `false` otherwise.

  Specified by:
    `isEditable` in class `ComponentAdapter`
  Returns:
    `true` if the cell is editable, `false` otherwise

### isSelected

    public boolean isSelected()

  Returns true if the cell identified by this adapter is currently selected. Otherwise, it returns false.

  Specified by:
    `isSelected` in class `ComponentAdapter`
  Returns:
    true if the cell identified by this adapter is currently selected; Otherwise, return false

### isExpanded

    public boolean isExpanded()

  Returns true if the cell identified by this adapter is currently expanded. Otherwise, it returns false. For components that do not support hierarchical data, this method always returns true because the cells in such components can never be collapsed.

  Overrides:
    `isExpanded` in class `ComponentAdapter`
  Returns:
    true if the cell identified by this adapter is currently expanded; Otherwise, return false

### getDepth

    public int getDepth()

  Returns the depth of this row in the hierarchy where the root is 0. For components that do not contain hierarchical data, this method returns 1.

  Overrides:
    `getDepth` in class `ComponentAdapter`
  Returns:
    the depth for this adapter

### isHierarchical

    public boolean isHierarchical()

  Returns true if the cell identified by this adapter displays the hierarchical node. Otherwise, it returns false. For components that do not support hierarchical data, this method always returns false because the cells in such components can never have children.

  Overrides:
    `isHierarchical` in class `ComponentAdapter`
  Returns:
    true if the cell identified by this adapter displays the hierarchical node; Otherwise, return false

### isLeaf

    public boolean isLeaf()

  Returns true if the cell identified by this adapter is a leaf node. Otherwise, it returns false. For components that do not support hierarchical data, this method always returns true because the cells in such components can never have children.

  Overrides:
    `isLeaf` in class `ComponentAdapter`
  Returns:
    true if the cell identified by this adapter is a leaf node; Otherwise, return false

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Determines whether this cell is editable.

  Specified by:
    `isCellEditable` in class `ComponentAdapter`
  Parameters:
    `row` - the row to query in model coordinates
    `column` - the column to query in model coordinates
  Returns:
    `true` if the cell is editable, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.